### Method

# EDataServer SourceSecurity set_secure

since: 3.6

#### Declaration [src]

    void
    e_source_security_set_secure (
      ESourceSecurity* extension,
      gboolean secure
    )

#### Description [src]

This function provides a simpler way to set `ESourceSecurity:method` when using a secure network connection is a yes or no option and the exact method name is unimportant. If `secure` is `FALSE`, the `ESourceSecurity:method` property is set to “none”. If `secure` is `TRUE`, the function assumes the backend will use Transport Layer Security and sets the `ESourceSecurity:method` property to “tls”.

Available since: 3.6

Sets property | `EDataServer.SourceSecurity:secure`

#### Parameters

`secure`

  Type: `gboolean`

  Whether a secure network connection is desired.